#ifndef __CObject_h
#define __CObject_h

// MFC6.0 afx.h _xZkqqHx_iCoGiCoIjElCjAiIiBeC_xHqqkZx_

class MfcObject
{
public:

	virtual MfcRuntimeClass* GetRuntimeClass() const = 0;
	virtual ~MfcObject() = 0;

public:

// Overridables
	virtual void Serialize(MfcArchive& ar) = 0;

// DD _xZkqqHx_jGhLjBmMiCpA_xHqqkZx_ Static_xZkqqHx_iCmFiDhCiDiLiDgIiClHiCoJiPoKiNiHiCmNiBeBiImIiJlKiCpAiNoNiPjMiBeC_xHqqkZx_
//#if defined(_DEBUG) || defined(_AFXDLL)
//
//	// Diagnostic Support
//	virtual void AssertValid() const;
//	virtual void Dump(MfcDumpContext& dc) const;
//
//#endif

#if defined(_DEBUG)

	// Diagnostic Support
	virtual void AssertValid() const = 0;
	virtual void Dump(MfcDumpContext& dc) const = 0;

#endif
};

#endif //__CObject_h
